textures/hugo-hell/lava
{
	q3map_lightImage "textures/hugo-hell/lava.jpg"
	qer_trans 0.5
	q3map_globalTexture
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/hugo-hell/lava.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/hugo-hell/lava.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}
textures/ut42_jumpmap/flame1
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 300
	deformVertexes autosprite
	q3map_globalTexture
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}
textures/hugo-hell/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/hugo-hell/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}
textures/hugo-hell/areaportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}
textures/hugo-hell/caulk
{	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/hugo-hell/clip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/hugo-hell/clusterportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}
textures/hugo-hell/cushion
{	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}
textures/hugo-hell/full_clip // silly shader, use weapclip instead
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}
textures/hugo-hell/hint // should NOT use surfaceparm hint.. strange but true
{	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}
textures/hugo-hell/missileclip
{	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}
textures/hugo-hell/nodraw
{	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}
textures/hugo-hell/nodrawnonsolid
{	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}
textures/hugo-hell/nodrop
{	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}
textures/hugo-hell/noimpact
{	qer_editorimage textures/hugo-hell/nolightmap.tga
	surfaceparm noimpact
}
textures/hugo-hell/nolightmap
{	surfaceparm nolightmap
}
textures/hugo-hell/origin
{	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}
textures/hugo-hell/portal
{	qer_editorimage textures/hugo-hell/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/hugo-hell/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}
textures/hugo-hell/slick
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}
textures/hugo-hell/terrain
{	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/hugo-hell/terrain2
{	q3map_terrain
	qer_editorimage textures/hugo-hell/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}
textures/hugo-hell/timportal
{	qer_editorimage textures/hugo-hell/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/hugo-hell/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}
textures/hugo-hell/trigger
{	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}
textures/hugo-hell/weapclip
{	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}
textures/hugo-hell/metalclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}
textures/hugo-hell/botclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}
//
// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//
textures/hugo-hell/lightgrid
{	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}
textures/hugo-hell/Light_01
{
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 1000
	q3map_lightSubdivide 1024

	{
		map textures/hugo-hell/Light_01.jpg
	}
	{
		map textures/hugo-hell/Tint_01.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}
textures/hugo-hell/tiles_gold2
{
	surfaceparm nodamage

	{
		map textures/hugo-hell/tiles_gold2.jpg
	}
	{
		map textures/hugo-hell/Tint_02.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}
textures/hugo-hell/Light_02
{
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 1000
	q3map_lightSubdivide 1024

	{
		map textures/hugo-hell/Light_02.jpg
	}
	{
		map textures/hugo-hell/Tint_01.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}
textures/hugo-hell/sky_yellow
{
	qer_editorImage "textures/hugo-hell/sky_yellow.tga"
	surfaceParm noImpact
	surfaceParm noLightmap
	q3map_globalTexture
	q3map_lightSubdivide 256
	q3map_surfaceLight 50
	surfaceParm sky
	q3map_sun 1 1 0.5 550 30 860
	skyParms "full" 512 -
	{
		map "textures/hugo-hell/sky_yellow.tga"
		tcMod scroll 0.05 0.05
		tcMod scale 3 2
	}
	{
		map "textures/hugo-hell/sky_yellow.tga"
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}
}
textures/hugo-hell/Glass01
{
	qer_editorimage textures/hugo-hell/Glass01.jpg
        	surfaceparm trans	
        	surfaceparm nolightmap
	//surfaceparm slick
	cull none
	qer_trans 	0.5
     
        	{
	map textures/hugo-hell/Tint_01.jpg
                tcgen environment
	blendFunc GL_ONE GL_ONE
	}
          
}
textures/hugo-hell/Light_03
{
	surfaceparm nodamage
	surfaceparm nolightmap
	q3map_surfacelight 1000
	q3map_lightSubdivide 1024

	{
		map textures/hugo-hell/Light_03.jpg
	}
	{
		map textures/hugo-hell/Tint_01.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}
textures/hugo-hell/4325-v3
{
	surfaceparm nodamage

	{
		map textures/hugo-hell/4325-v3.jpg
	}
	{
		map textures/hugo-hell/Tint_01.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}
textures/hugo-hell/lava2
{
	q3map_lightImage "textures/hugo-hell/lava2.jpg"
	qer_trans 0.5
	q3map_globalTexture
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/hugo-hell/lava2.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/hugo-hell/lava2.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}
textures/hugo-hell/sky_yellow2
{
	qer_editorImage "textures/hugo-hell/sky_yellow2.jpg"
	surfaceParm noImpact
	surfaceParm noLightmap
	q3map_globalTexture
	q3map_lightSubdivide 256
	q3map_surfaceLight 50
	surfaceParm sky
	q3map_sun 1 1 0.5 550 30 860
	skyParms "full" 512 -
	{
		map "textures/hugo-hell/sky_yellow2.jpg"
		tcMod scroll 0.05 0.05
		tcMod scale 3 2
	}
	{
		map "textures/hugo-hell/sky_yellow2.jpg"
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}
}
textures/hugo-hell/5820-v3
{
	surfaceparm nodamage

	{
		map textures/hugo-hell/5820-v3.jpg
	}
	{
		map textures/hugo-hell/Tint_01.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}
textures/hugo-hell/lava3
{
	q3map_lightImage "textures/hugo-hell/lava3.jpg"
	qer_trans 0.5
	q3map_globalTexture
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm nonSolid
	surfaceParm water
	surfaceParm trans
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5
	{
		map "textures/hugo-hell/lava3.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map "textures/hugo-hell/lava3.jpg"
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		RGBGen identity
	}
}